apiVersion: v1
kind: Template
labels:
  app: node
  template: node-buildconfig
metadata:
  annotations:
    description: NodeJS Base Image - BuildConfig
    iconClass: icon-nodejs
    openshift.io/display-name: NodeJS Base
    tags: node
  name: node-buildconfig
objects:
- apiVersion: v1
  kind: BuildConfig
  metadata:
    annotations:
      description: Builds NodeJS images
    labels:
      name: nodejs-${NODE_REPOSITORY_REF}
    name: nodejs-${NODE_REPOSITORY_REF}
  spec:
    failedBuildsHistoryLimit: 1
    resources:
      limits:
        cpu: 300m
        memory: 3Gi
    source:
      contextDir: /
      git:
        uri: ${NODE_REPOSITORY_URL}
        ref: "${NODE_REPOSITORY_REF}"
      type: Git
    strategy:
      type: Docker
      dockerStrategy:
        env:
        - name: DO_UPGRADE
          value: foo
        - name: NODE_ENV
          value: production
        - name: NPM_MIRROR
          value: "${NPM_MIRROR}"
        forcePull: false
    output:
      to:
        kind: ImageStreamTag
        name: nodejs:${NODE_REPOSITORY_REF}
    triggers:
    - type: ConfigChange
parameters:
- name: NODE_REPOSITORY_REF
  description: Set this to a branch name, tag or other ref of your repository if you are not using the default branch
  displayName: Git Reference
  required: true
  value: master
- name: NODE_REPOSITORY_URL
  description: The URL of the repository with your NodeJS Dockerfile
  displayName: Git Repository URL
  required: true
  value: https://gitlab.com/synacksynack/opsperator/docker-nodejs.git
- name: NPM_MIRROR
  description: The custom NPM mirror URL
  displayName: Custom NPM Mirror URL
  value: 'https://registry.npmjs.org'
